Bug 1729929 - [IMP] upgrade playbook should verify container image versions or tags before proceeding with upgrade.
Summary: [IMP] upgrade playbook should verify container image versions or tags before ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: cns-ansible
Version: ocs-3.11
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: OCS 3.11.z Batch Update 4
Assignee: John Mulligan
QA Contact: Arun Kumar
URL:
Whiteboard:
: 1725028 (view as bug list)
Depends On:
Blocks: 1703695
TreeView+ depends on / blocked
 
Reported: 2019-07-15 11:00 UTC by Nitin Goyal
Modified: 2020-02-13 05:21 UTC (History)
11 users (show)

Fixed In Version: openshift-ansible-3.11.153-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-13 05:21:55 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 3 Nitin Goyal 2019-07-22 08:47:22 UTC
*** Bug 1725028 has been marked as a duplicate of this bug. ***

Comment 19 Arun Kumar 2019-10-07 12:49:17 UTC
As discussed in the meeting today, we agreed on to fail-QA this bug. The playbook should check for image tags in the initial stage, even before deleting the resources related to the heketi and block provisioner pod.

Comment 20 Daniel Pivonka 2019-10-08 17:31:27 UTC
PR:https://github.com/openshift/openshift-ansible/pull/11943

This moves the task to verify container image versions prior to deleting resources in upgrade playbook

Comment 21 Daniel Pivonka 2019-10-10 15:05:58 UTC
PR merged

Comment 22 Daniel Pivonka 2019-10-10 16:55:02 UTC
fixed in version updated


Note You need to log in before you can comment on or make changes to this bug.